CODESIGN_ALLOCATE(1)

NAME
codesign_allocate - add code signing data to a Mach-O file

SYNOPSIS
codesign_allocate -i oldfile [ -a arch size ]... [ -A cputype cpusubtype size ]... -o newfile

DESCRIPTION
codesign_allocate sets up a Mach-O file used by the dynamic linker so space for code signing data of the specified size for the specified architecture is embedded in the Mach-O file. The program must be passed one -a argument or one -A argument for each architecture in a universal file, or exactly one -a or -A for a thin file.

-i oldfile
    specifies the input file as oldfile.

-o newfile
    specifies the output file as newfile.

-a arch size
    specifies for the architecture arch that the size of the code signing data is to be size. The value of size must be a multiple of 16.

-A cputype cpusubtype size
    specifies for the architecture as a pair of decimal integers for the cputype and cpusubtype that the size of the code signing data is to be size. The value of size must be a multiple of 16.

-r  remove the code signature data and the LC_CODE_SIGNATURE load command. This is the same as specifiying the -a or -A option with a size of zero.

-p  page align the code signature data by padding string table and changing its size. This is not the default as codesign(1) currently can't use this option.